cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Animesh Chaturvedi <animesh.chaturv...@citrix.com>
Subject RE: [jira] [Commented] (CLOUDSTACK-4149) [upgrade][2.2.13 -> 2.2.14 -> 4.2][KVM] When we try to upgrade the KVM agent from 2.2.14 to 4.2 using the "U" option in install.sh script, management server also gets installed!
Date Mon, 12 Aug 2013 22:12:08 GMT
Copying Hugo

> -----Original Message-----
> From: frank zhang (JIRA) [mailto:jira@apache.org]
> Sent: Monday, August 12, 2013 3:08 PM
> To: cloudstack-issues@incubator.apache.org
> Subject: [jira] [Commented] (CLOUDSTACK-4149) [upgrade][2.2.13 ->
> 2.2.14 -> 4.2][KVM] When we try to upgrade the KVM agent from 2.2.14 to
> 4.2 using the "U" option in install.sh script, management server also
> gets installed!
> 
> 
>     [ https://issues.apache.org/jira/browse/CLOUDSTACK-
> 4149?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-
> tabpanel&focusedCommentId=13737421#comment-13737421 ]
> 
> frank zhang commented on CLOUDSTACK-4149:
> -----------------------------------------
> 
> The issue is caused by rpm reorganization in ACS. ACS uses cloudstack-
> management package to make cloud-agent as obsolete, this causes
> cloudstack-management to be unnecessarily installed during agent
> upgrade
> 
> 
> > [upgrade][2.2.13 -> 2.2.14 -> 4.2][KVM] When we try to upgrade the
> KVM agent from 2.2.14 to 4.2 using the "U" option in install.sh script,
> management server also gets installed!
> > ---------------------------------------------------------------------
> -
> > ---------------------------------------------------------------------
> -
> > -------------------------------------
> >
> >                 Key: CLOUDSTACK-4149
> >                 URL:
> https://issues.apache.org/jira/browse/CLOUDSTACK-4149
> >             Project: CloudStack
> >          Issue Type: Bug
> >      Security Level: Public(Anyone can view this level - this is the
> default.)
> >          Components: Packaging, Upgrade
> >    Affects Versions: 4.2.0
> >         Environment: upgrade from 2.2.13 (rhel 6.1 build) -> 2.2.14
> > (rhel 6.1 build) -> 4.2 (rhel 6.2 build) MS : CentOS 6.1 KVM : CentOS
> > 6.1
> >            Reporter: Abhinav Roy
> >            Assignee: frank zhang
> >            Priority: Blocker
> >             Fix For: 4.2.0
> >
> >
> > 1. Deploy a CS 2.2.13 advanced zone setup.
> > 2. Do some operations and upgrade to 2.2.14 3. Now when we try to
> > upgrade it from 2.2.14 to 4.2 using the "U" option in install.sh
> script, it installs the management server also.
> > [root@centos61-band28 CloudPlatform-4.2-4.2-104-rhel6.2]#
> ./install.sh
> > Setting up the temporary repository...
> > Cleaning Yum cache...
> > Loaded plugins: fastestmirror
> > Cleaning repos: cloud-temp rhel
> > 2 metadata files removed
> > Welcome to the CloudPlatform Installer.  What would you like to do?
> >         NOTE:   For installing KVM agent, please setup
> EPEL<http://fedoraproject.org/wiki/EPEL> yum repo first;
> >                 For installing CloudPlatform on RHEL6.x, please setup
> distribution yum repo either from ISO or from your registeration
> account.
> >     M) Install the Management Server
> >     A) Install the Agent
> >     B) Install BareMetal Agent
> >     S) Install the Usage Monitor
> >     D) Install the database server (from distribution's repo)
> >     U) Upgrade the CloudPlatform packages installed on this computer
> >     R) Stop any running CloudPlatform services and remove the
> CloudPlatform packages from this computer
> >     L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x
> naturally has higher version MySql)
> >     Q) Quit
> >  > u
> > Updating the CloudPlatform and its dependencies...
> > Loaded plugins: fastestmirror
> > Loading mirror speeds from cached hostfile
> > cloud-temp
> | 1.3 kB     00:00 ...
> > rhel
> | 4.0 kB     00:00 ...
> > Setting up Update Process
> > Resolving Dependencies
> > --> Running transaction check
> > ---> Package cloud-agent.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-agent-libs.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-core.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-daemonize.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-deps.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-python.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloud-utils.x86_64 0:2.2.14-1.el6 will be obsoleted
> > ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6 will be
> > ---> obsoleting
> > --> Processing Dependency: jakarta-commons-daemon for package:
> > --> cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: ipset for package:
> > --> cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> > ---> Package cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el6 will be
> > ---> obsoleting Package cloudstack-management.x86_64
> > ---> 0:4.2.0-SNAPSHOT.el6 will be obsoleting
> > --> Processing Dependency: cloudstack-awsapi = 4.2.0 for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: ws-commons-util for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: tomcat6 for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: mysql-connector-java for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: mkisofs for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: ipmitool for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Processing Dependency: MySQL-python for package:
> > --> cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> > --> Running transaction check
> > ---> Package MySQL-python.x86_64 0:1.2.3-0.3.c1.1.el6 will be
> > ---> installed Package cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el6
> > ---> will be installed Package genisoimage.x86_64 0:1.1.9-11.el6 will
> > ---> be installed Package ipmitool.x86_64 0:1.8.11-13.el6 will be
> > ---> installed Package ipset.x86_64 0:6.11-1.el6 will be installed
> > --> Processing Dependency: libmnl.so.0(LIBMNL_1.0)(64bit) for
> package:
> > --> ipset-6.11-1.el6.x86_64 Processing Dependency:
> > --> libmnl.so.0()(64bit) for package: ipset-6.11-1.el6.x86_64
> > ---> Package jakarta-commons-daemon.x86_64 1:1.0.1-8.9.el6 will be
> > ---> installed Package mysql-connector-java.noarch 1:5.1.17-6.el6
> will
> > ---> be installed
> > --> Processing Dependency: jta >= 1.0 for package:
> > --> 1:mysql-connector-java-5.1.17-6.el6.noarch
> > --> Processing Dependency: slf4j for package:
> > --> 1:mysql-connector-java-5.1.17-6.el6.noarch
> > ---> Package tomcat6.noarch 0:6.0.24-45.el6 will be installed
> > --> Processing Dependency: tomcat6-lib = 6.0.24-45.el6 for package:
> > --> tomcat6-6.0.24-45.el6.noarch Processing Dependency: mx4j for
> > --> package: tomcat6-6.0.24-45.el6.noarch Processing Dependency:
> log4j
> > --> for package: tomcat6-6.0.24-45.el6.noarch Processing Dependency:
> > --> log4j for package: tomcat6-6.0.24-45.el6.noarch
> > ---> Package ws-commons-util.noarch 0:1.0.1-13.el6 will be installed
> > --> Running transaction check
> > ---> Package geronimo-specs-compat.noarch 0:1.0-3.4.M2.el6 will be
> > ---> installed
> > --> Processing Dependency: geronimo-specs = 1.0-3.4.M2.el6 for
> > --> package: geronimo-specs-compat-1.0-3.4.M2.el6.noarch
> > ---> Package libmnl.x86_64 0:1.0.2-3.el6 will be installed Package
> > ---> log4j.x86_64 0:1.2.14-6.4.el6 will be installed
> > --> Processing Dependency: xml-commons-apis for package:
> > --> log4j-1.2.14-6.4.el6.x86_64
> > ---> Package mx4j.noarch 1:3.0.1-9.13.el6 will be installed
> > --> Processing Dependency: javamail >= 1.2-5jpp for package:
> > --> 1:mx4j-3.0.1-9.13.el6.noarch Processing Dependency: bcel >= 5.0
> > --> for package: 1:mx4j-3.0.1-9.13.el6.noarch Processing Dependency:
> > --> axis >= 1.1 for package: 1:mx4j-3.0.1-9.13.el6.noarch Processing
> > --> Dependency: xml-commons-resolver for package:
> > --> 1:mx4j-3.0.1-9.13.el6.noarch Processing Dependency: jaf for
> > --> package: 1:mx4j-3.0.1-9.13.el6.noarch
> > ---> Package slf4j.noarch 0:1.5.8-7.el6 will be installed Package
> > ---> tomcat6-lib.noarch 0:6.0.24-45.el6 will be installed
> > --> Processing Dependency: tomcat6-servlet-2.5-api = 6.0.24-45.el6
> for
> > --> package: tomcat6-lib-6.0.24-45.el6.noarch Processing Dependency:
> > --> tomcat6-jsp-2.1-api = 6.0.24-45.el6 for package:
> > --> tomcat6-lib-6.0.24-45.el6.noarch Processing Dependency:
> > --> tomcat6-el-2.1-api = 6.0.24-45.el6 for package:
> > --> tomcat6-lib-6.0.24-45.el6.noarch Processing Dependency: ecj for
> > --> package: tomcat6-lib-6.0.24-45.el6.noarch Running transaction
> > --> check
> > ---> Package axis.noarch 0:1.2.1-7.2.el6 will be installed
> > --> Processing Dependency: wsdl4j for package:
> > --> axis-1.2.1-7.2.el6.noarch Processing Dependency:
> > --> jakarta-commons-discovery for package: axis-1.2.1-7.2.el6.noarch
> > ---> Package bcel.x86_64 0:5.2-7.2.el6 will be installed
> > --> Processing Dependency: regexp for package: bcel-5.2-
> 7.2.el6.x86_64
> > ---> Package classpathx-jaf.x86_64 0:1.0-15.4.el6 will be installed
> > ---> Package classpathx-mail.noarch 0:1.1.1-9.4.el6 will be installed
> > ---> Package ecj.x86_64 1:3.4.2-6.el6 will be installed Package
> > ---> geronimo-specs.noarch 0:1.0-3.4.M2.el6 will be installed
> > --> Processing Dependency: apache-tomcat-apis for package:
> > --> geronimo-specs-1.0-3.4.M2.el6.noarch
> > ---> Package tomcat6-el-2.1-api.noarch 0:6.0.24-45.el6 will be
> > ---> installed Package tomcat6-jsp-2.1-api.noarch 0:6.0.24-45.el6
> will
> > ---> be installed Package tomcat6-servlet-2.5-api.noarch
> > ---> 0:6.0.24-45.el6 will be installed Package xml-commons-
> apis.x86_64
> > ---> 0:1.3.04-3.6.el6 will be installed Package
> > ---> xml-commons-resolver.x86_64 0:1.1-4.18.el6 will be installed
> > --> Running transaction check
> > ---> Package apache-tomcat-apis.noarch 0:0.1-1.el6 will be installed
> > ---> Package jakarta-commons-discovery.noarch 1:0.4-5.4.el6 will be
> > ---> installed Package regexp.x86_64 0:1.5-4.4.el6 will be installed
> > ---> Package wsdl4j.noarch 0:1.5.2-7.8.el6 will be installed
> > --> Finished Dependency Resolution
> > Dependencies Resolved
> >
> =======================================================================
> =======================================================================
> =====================================
> >  Package                                              Arch
> Version                                        Repository
> Size
> >
> ======================================================================
> >
> ======================================================================
> > =======================================
> > Installing:
> >  cloudstack-agent                                     x86_64
> 4.2.0-SNAPSHOT.el6                             cloud-temp
> 38 M
> >      replacing  cloud-agent.x86_64 2.2.14-1.el6
> >      replacing  cloud-agent-libs.x86_64 2.2.14-1.el6
> >  cloudstack-common                                    x86_64
> 4.2.0-SNAPSHOT.el6                             cloud-temp
> 86 M
> >      replacing  cloud-core.x86_64 2.2.14-1.el6
> >      replacing  cloud-deps.x86_64 2.2.14-1.el6
> >      replacing  cloud-python.x86_64 2.2.14-1.el6
> >      replacing  cloud-utils.x86_64 2.2.14-1.el6
> >  cloudstack-management                                x86_64
> 4.2.0-SNAPSHOT.el6                             cloud-temp
> 73 M
> >      replacing  cloud-daemonize.x86_64 2.2.14-1.el6 Installing for
> > dependencies:
> >  MySQL-python                                         x86_64
> 1.2.3-0.3.c1.1.el6                             rhel
> 86 k
> >  apache-tomcat-apis                                   noarch
> 0.1-1.el6                                      rhel
> 164 k
> >  axis                                                 noarch
> 1.2.1-7.2.el6                                  rhel
> 1.5 M
> >  bcel                                                 x86_64
> 5.2-7.2.el6                                    rhel
> 1.4 M
> >  classpathx-jaf                                       x86_64
> 1.0-15.4.el6                                   rhel
> 100 k
> >  classpathx-mail                                      noarch
> 1.1.1-9.4.el6                                  rhel
> 479 k
> >  cloudstack-awsapi                                    x86_64
> 4.2.0-SNAPSHOT.el6                             cloud-temp
> 74 M
> >  ecj                                                  x86_64
> 1:3.4.2-6.el6                                  rhel
> 2.8 M
> >  genisoimage                                          x86_64
> 1.1.9-11.el6                                   rhel
> 348 k
> >  geronimo-specs                                       noarch
> 1.0-3.4.M2.el6                                 rhel
> 110 k
> >  geronimo-specs-compat                                noarch
> 1.0-3.4.M2.el6                                 rhel
> 7.1 k
> >  ipmitool                                             x86_64
> 1.8.11-13.el6                                  rhel
> 328 k
> >  ipset                                                x86_64
> 6.11-1.el6                                     rhel
> 61 k
> >  jakarta-commons-daemon                               x86_64
> 1:1.0.1-8.9.el6                                rhel
> 45 k
> >  jakarta-commons-discovery                            noarch
> 1:0.4-5.4.el6                                  rhel
> 73 k
> >  libmnl                                               x86_64
> 1.0.2-3.el6                                    rhel
> 21 k
> >  log4j                                                x86_64
> 1.2.14-6.4.el6                                 rhel
> 679 k
> >  mx4j                                                 noarch
> 1:3.0.1-9.13.el6                               rhel
> 1.1 M
> >  mysql-connector-java                                 noarch
> 1:5.1.17-6.el6                                 rhel
> 1.4 M
> >  regexp                                               x86_64
> 1.5-4.4.el6                                    rhel
> 105 k
> >  slf4j                                                noarch
> 1.5.8-7.el6                                    rhel
> 132 k
> >  tomcat6                                              noarch
> 6.0.24-45.el6                                  rhel
> 87 k
> >  tomcat6-el-2.1-api                                   noarch
> 6.0.24-45.el6                                  rhel
> 43 k
> >  tomcat6-jsp-2.1-api                                  noarch
> 6.0.24-45.el6                                  rhel
> 80 k
> >  tomcat6-lib                                          noarch
> 6.0.24-45.el6                                  rhel
> 2.8 M
> >  tomcat6-servlet-2.5-api                              noarch
> 6.0.24-45.el6                                  rhel
> 94 k
> >  ws-commons-util                                      noarch
> 1.0.1-13.el6                                   rhel
> 37 k
> >  wsdl4j                                               noarch
> 1.5.2-7.8.el6                                  rhel
> 157 k
> >  xml-commons-apis                                     x86_64
> 1.3.04-3.6.el6                                 rhel
> 439 k
> >  xml-commons-resolver                                 x86_64
> 1.1-4.18.el6                                   rhel
> 145 k
> > Transaction Summary
> >
> =======================================================================
> =======================================================================
> =====================================
> > Install      33 Package(s)
> > Total download size: 286 M
> > Is this ok [y/N]: y
> > Downloading Packages:
> > ---------------------------------------------------------------------
> -----------------------------------------------------------------------
> ---------------------------------------
> > Total
> 120 MB/s | 286 MB     00:02
> > Running rpm_check_debug
> > Running Transaction Test
> > Transaction Test Succeeded
> > Running Transaction
> >   Installing : xml-commons-apis-1.3.04-3.6.el6.x86_64
> 1/40
> >   Installing : log4j-1.2.14-6.4.el6.x86_64
> 2/40
> >   Installing : classpathx-jaf-1.0-15.4.el6.x86_64
> 3/40
> >   Installing : classpathx-mail-1.1.1-9.4.el6.noarch
> 4/40
> >   Installing : 1:jakarta-commons-daemon-1.0.1-8.9.el6.x86_64
> 5/40
> >   Installing : tomcat6-servlet-2.5-api-6.0.24-45.el6.noarch
> 6/40
> >   Installing : tomcat6-jsp-2.1-api-6.0.24-45.el6.noarch
> 7/40
> >   Installing : xml-commons-resolver-1.1-4.18.el6.x86_64
> 8/40
> >   Installing : 1:ecj-3.4.2-6.el6.x86_64
> 9/40
> >   Installing : apache-tomcat-apis-0.1-1.el6.noarch
> 10/40
> >   Installing : 1:jakarta-commons-discovery-0.4-5.4.el6.noarch
> 11/40
> >   Installing : genisoimage-1.1.9-11.el6.x86_64
> 12/40
> >   Installing : ws-commons-util-1.0.1-13.el6.noarch
> 13/40
> >   Installing : ipmitool-1.8.11-13.el6.x86_64
> 14/40
> >   Installing : wsdl4j-1.5.2-7.8.el6.noarch
> 15/40
> >   Installing : axis-1.2.1-7.2.el6.noarch
> 16/40
> >   Installing : regexp-1.5-4.4.el6.x86_64
> 17/40
> >   Installing : bcel-5.2-7.2.el6.x86_64
> 18/40
> >   Installing : 1:mx4j-3.0.1-9.13.el6.noarch
> 19/40
> >   Installing : geronimo-specs-1.0-3.4.M2.el6.noarch
> 20/40
> >   Installing : geronimo-specs-compat-1.0-3.4.M2.el6.noarch
> 21/40
> >   Installing : slf4j-1.5.8-7.el6.noarch
> 22/40
> >   Installing : 1:mysql-connector-java-5.1.17-6.el6.noarch
> 23/40
> >   Installing : libmnl-1.0.2-3.el6.x86_64
> 24/40
> >   Installing : ipset-6.11-1.el6.x86_64
> 25/40
> >   Installing : MySQL-python-1.2.3-0.3.c1.1.el6.x86_64
> 26/40
> >   Installing : tomcat6-el-2.1-api-6.0.24-45.el6.noarch
> 27/40
> >   Installing : cloudstack-common-4.2.0-SNAPSHOT.el6.x86_64
> 28/40
> >   Installing : tomcat6-lib-6.0.24-45.el6.noarch
> 29/40
> >   Installing : tomcat6-6.0.24-45.el6.noarch
> 30/40
> >   Installing : cloudstack-awsapi-4.2.0-SNAPSHOT.el6.x86_64
> 31/40
> >   Installing : cloudstack-management-4.2.0-SNAPSHOT.el6.x86_64
> 32/40
> > Unable to determine ssl settings for server.xml, please run
> > cloudstack-setup-management manually Unable to determine ssl settings
> for tomcat.conf, please run cloudstack-setup-management manually
> >   Installing : cloudstack-agent-4.2.0-SNAPSHOT.el6.x86_64
> 33/40
> >   Erasing    : cloud-agent-2.2.14-1.el6.x86_64
> 34/40
> >   Erasing    : cloud-agent-libs-2.2.14-1.el6.x86_64
> 35/40
> >   Erasing    : cloud-core-2.2.14-1.el6.x86_64
> 36/40
> >   Erasing    : cloud-deps-2.2.14-1.el6.x86_64
> 37/40
> >   Erasing    : cloud-utils-2.2.14-1.el6.x86_64
> 38/40
> >   Erasing    : cloud-python-2.2.14-1.el6.x86_64
> 39/40
> >   Erasing    : cloud-daemonize-2.2.14-1.el6.x86_64
> 40/40
> > Installed:
> >   cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el6
> cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el6             cloudstack-
> management.x86_64 0:4.2.0-SNAPSHOT.el6
> > Dependency Installed:
> >   MySQL-python.x86_64 0:1.2.3-0.3.c1.1.el6                  apache-
> tomcat-apis.noarch 0:0.1-1.el6                      axis.noarch
> 0:1.2.1-7.2.el6
> >   bcel.x86_64 0:5.2-7.2.el6
> classpathx-jaf.x86_64 0:1.0-15.4.el6                       classpathx-
> mail.noarch 0:1.1.1-9.4.el6
> >   cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el6
> ecj.x86_64 1:3.4.2-6.el6
> genisoimage.x86_64 0:1.1.9-11.el6
> >   geronimo-specs.noarch 0:1.0-3.4.M2.el6                    geronimo-
> specs-compat.noarch 0:1.0-3.4.M2.el6              ipmitool.x86_64
> 0:1.8.11-13.el6
> >   ipset.x86_64 0:6.11-1.el6                                 jakarta-
> commons-daemon.x86_64 1:1.0.1-8.9.el6              jakarta-commons-
> discovery.noarch 1:0.4-5.4.el6
> >   libmnl.x86_64 0:1.0.2-3.el6
> log4j.x86_64 0:1.2.14-6.4.el6                              mx4j.noarch
> 1:3.0.1-9.13.el6
> >   mysql-connector-java.noarch 1:5.1.17-6.el6
> regexp.x86_64 0:1.5-4.4.el6                                slf4j.noarch
> 0:1.5.8-7.el6
> >   tomcat6.noarch 0:6.0.24-45.el6                            tomcat6-
> el-2.1-api.noarch 0:6.0.24-45.el6                  tomcat6-jsp-2.1-
> api.noarch 0:6.0.24-45.el6
> >   tomcat6-lib.noarch 0:6.0.24-45.el6                        tomcat6-
> servlet-2.5-api.noarch 0:6.0.24-45.el6             ws-commons-
> util.noarch 0:1.0.1-13.el6
> >   wsdl4j.noarch 0:1.5.2-7.8.el6                             xml-
> commons-apis.x86_64 0:1.3.04-3.6.el6                   xml-commons-
> resolver.x86_64 0:1.1-4.18.el6
> > Replaced:
> >   cloud-agent.x86_64 0:2.2.14-1.el6         cloud-agent-libs.x86_64
> 0:2.2.14-1.el6         cloud-core.x86_64 0:2.2.14-1.el6          cloud-
> daemonize.x86_64 0:2.2.14-1.el6
> >   cloud-deps.x86_64 0:2.2.14-1.el6          cloud-python.x86_64
> 0:2.2.14-1.el6             cloud-utils.x86_64 0:2.2.14-1.el6
> > Complete!
> > Done
> > [root@centos61-band28 CloudPlatform-4.2-4.2-104-rhel6.2]# ls
> /etc/cloudstack/
> > agent/      management/
> > [root@centos61-band28 CloudPlatform-4.2-4.2-104-rhel6.2]# ls
> /etc/cloudstack/management/
> > applicationContext.xml      catalina.properties         commons-
> logging.properties  environment.properties      server-ssl.xml
> tomcat-users.xml
> > Catalina/                   classpath.conf              db.properties
> log4j-cloud.xml             tomcat6-nonssl.conf         web.xml
> > catalina.policy             cloud-bridge.properties     ec2-
> service.properties      server-nonssl.xml           tomcat6-ssl.conf
> > [root@centos61-band28 CloudPlatform-4.2-4.2-104-rhel6.2]#
> ./install.sh
> > Setting up the temporary repository...
> > Cleaning Yum cache...
> > Loaded plugins: fastestmirror
> > Cleaning repos: cloud-temp rhel
> > 2 metadata files removed
> > Welcome to the CloudPlatform Installer.  What would you like to do?
> >         NOTE:   For installing KVM agent, please setup
> EPEL<http://fedoraproject.org/wiki/EPEL> yum repo first;
> >                 For installing CloudPlatform on RHEL6.x, please setup
> distribution yum repo either from ISO or from your registeration
> account.
> >     B) Install BareMetal Agent
> >     S) Install the Usage Monitor
> >     D) Install the database server (from distribution's repo)
> >     U) Upgrade the CloudPlatform packages installed on this computer
> >     R) Stop any running CloudPlatform services and remove the
> CloudPlatform packages from this computer
> >     L) Install the MySQL 5.1.58 (only for CentOS5.x, Rhel6.x
> naturally has higher version MySql)
> >     Q) Quit
> >  > q
> > Done
> 
> --
> This message is automatically generated by JIRA.
> If you think it was sent incorrectly, please contact your JIRA
> administrators For more information on JIRA, see:
> http://www.atlassian.com/software/jira
Mime
View raw message